// =====================================================================
//  $Id: St01BadChannelMap.hh,v 1.4 2004/01/19 21:10:28 goiwai Exp $
//  $Name: CLDAQ-1-14-03 $
//  $Log: St01BadChannelMap.hh,v $
//  Revision 1.4  2004/01/19 21:10:28  goiwai
//  プリプロセッサの接頭辞をCLDAQ__に変更しました.
//
//  Revision 1.3  2003/10/06 16:28:18  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:16:10  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#ifndef CLDAQ__ST01BADCHANNELMAP_HH
#define CLDAQ__ST01BADCHANNELMAP_HH

#include "Tglobals.h"
#include "St01Map.hh"
#include "St01OfflineDarkRmsMap.hh"

class St01BadChannelMap
  : public St01Map
{

  private:
    St01OfflineDarkRmsMap theOfflineDarkRmsMap;

  public:
    St01BadChannelMap( const Tstring& filename );
    ~St01BadChannelMap();

  public:
    const St01OfflineDarkRmsMap& GetOfflineDarkRmsMap() const;

  public:
    Tbool IsBadChannel( Tint row, Tint col ) const;
    Tbool IsGoodChannel( Tint row, Tint col ) const;
    Tvoid SetBadChannel( Tint row, Tint col );
    Tvoid SetGoodChannel( Tint row, Tint col );
    Tint GetNumberOfBadChannels() const;
    Tint GetNumberOfGoodChannels() const;

};

inline const St01OfflineDarkRmsMap& St01BadChannelMap::GetOfflineDarkRmsMap() const
{
  return theOfflineDarkRmsMap;
}

#endif
